From 66ef3b4b68756843735b320a71244dfa67658a5f Mon Sep 17 00:00:00 2001
From: Jacob Champion <jacob.champion@enterprisedb.com>
Date: Mon, 13 Jan 2025 12:31:59 -0800
Subject: [PATCH v43 5/6] XXX fix libcurl link error

The ftp/curl port appears to be missing a minimum version dependency on
libssh2, so the following starts showing up after upgrading to curl
8.11.1_1:

    libcurl.so.4: Undefined symbol "libssh2_session_callback_set2"

But 13.3 is EOL, so it's not clear if anyone would be interested in a
bug report, and a FreeBSD 14 Cirrus image is in progress. Hack past it
for now.
---
 .cirrus.tasks.yml | 1 +
 1 file changed, 1 insertion(+)

diff --git a/.cirrus.tasks.yml b/.cirrus.tasks.yml
index 8c518c317e7..97bb38c72c6 100644
--- a/.cirrus.tasks.yml
+++ b/.cirrus.tasks.yml
@@ -165,6 +165,7 @@ task:
     sysctl kern.corefile='/tmp/cores/%N.%P.core'
   setup_additional_packages_script: |
     pkg install -y curl
+    pkg upgrade -y libssh2 # XXX shouldn't be necessary. revisit w/ FreeBSD 14
 
   # NB: Intentionally build without -Dllvm. The freebsd image size is already
   # large enough to make VM startup slow, and even without llvm freebsd
-- 
2.34.1

